#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	Scalar
Summary:	Convert::Scalar - convert between different representations of perl scalars
Summary(pl.UTF-8):	Convert::Scalar - konwersja między różnymi reprezentacjami perlowych skalarów
Name:		perl-Convert-Scalar
Version:	1.04
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	849a207e94b7714c677f476608418199
URL:		http://search.cpan.org/dist/Convert-Scalar/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module exports various internal perl methods that change the
internal representation or state of a perl scalar. All of these work
in-place, that is, they modify their scalar argument.

%description -l pl.UTF-8
Ten moduł eksportuje różne wewnętrzne perlowe metody zmieniające
wewnętrzną reprezentację lub stan perlowego skalara. Wszystko to
działa "na miejscu", czyli modyfikowany jest argument skalarny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Convert/Scalar.pm
%dir %{perl_vendorarch}/auto/Convert/Scalar
%attr(755,root,root) %{perl_vendorarch}/auto/Convert/Scalar/Scalar.so
%{_mandir}/man3/*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Convert-Scalar.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 108d8ca
- x32 rebuild
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f5c08b4
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f44d7ec
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> eb109fa
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e8cec1f
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e5f793
- release 2

* Wed Jun 17 2009 amateja <amateja@pld-linux.org> ded1a6a
- updated to 1.04

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e2d838
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 0d7f50c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bcf6f79
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 77cdd9f
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> a61c8e6
- 1.03, generic URL

* Wed Dec 01 2004 radek <radek@pld-linux.org> 66a0700
- autoupdated to 1.02

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e86fc37
- formatting

* Sun Apr 25 2004 Adam Gołębiowski <adamg@pld-linux.org> 6caa62d
- updated to 1.01

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> fc74309
- license fixes and cosmetics

* Thu Dec 11 2003 Jakub Bogusz <qboosh@pld-linux.org> fa56a60
- new

